#version 130

in vec2 scrPos;
in vec4 segmentValues;
in vec2 point0;
in vec2 point1;

flat out vec2 p0;
flat out vec2 p1;
flat out vec4 values;

void main()
{
    gl_Position = vec4(scrPos,0.5,1);
    p0=point0;
    p1=point1;
    values=segmentValues;
}
